using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.Base
{
    public partial class W_MyBase_1
    {
        public W_MyBase_1()
        {

        }
        protected string addcs =string.Empty;
        public override void OnLoad(){
             base.OnLoad();   
             ReportService service = (ReportService)this.dw_list.Services.Add(ServiceName.Report);
             service.RequestorDrawTitle = false;
             A8ERP.Common.DWServiceHelp.AddReportService(this.dw_list);      
             this.SetParm("AddCS",addcs);

             this.SetParm("CURGNQXSTR", base.GnqxStr);

             if (this.Page != null)
             {
                 this.Page.ClientScript.RegisterClientScriptInclude("W_MyBase_1", "/Base/W_MyBase_1.win.js");
                 this.Page.ClientScript.RegisterClientScriptInclude("W_OPEN_EDIT", "/Base/W_OPEN_EDIT.win.js");
             }
          
        } 
    }
}
